package com.hzya.frame.mdm.mdmModuleView.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 主数据视图表(MdmModuleView)实体类
 *
 * @author makejava
 * @since 2023-10-17 15:34:17
 */
public class MdmModuleViewEntity extends BaseEntity {

    /**
     * 主数据模版ID
     */
    private String mdmId;
    /**
     * 显示类型 1、树 2、列表
     */
    private String viewName;
    /**
     * 显示字段
     */
    private String viewFiled;
    /**
     * 上级id字段
     */
    private String upIdFiled;


    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewFiled() {
        return viewFiled;
    }

    public void setViewFiled(String viewFiled) {
        this.viewFiled = viewFiled;
    }

    public String getUpIdFiled() {
        return upIdFiled;
    }

    public void setUpIdFiled(String upIdFiled) {
        this.upIdFiled = upIdFiled;
    }

}

